### Method

# Gck Session sign_async

#### Declaration [src]

    void
    gck_session_sign_async (
      GckSession* self,
      GckObject* key,
      GckMechanism* mechanism,
      const guchar* input,
      gsize n_input,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Sign data in a mechanism specific manner. This call will return immediately and complete asynchronously.

This method completes asynchronously. Use `gck_session_sign_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`key`

  Type: `GckObject`

  The key to sign with.

  The data is owned by the caller of the method.

`mechanism`

  Type: `GckMechanism`

  The mechanism type and parameters to use for signing.

  The data is owned by the caller of the method.

`input`

  Type: An array of `guchar`

  Data to sign.

  The length of the array is specified in the `n_input` argument.
  The data is owned by the caller of the method.

`n_input`

  Type: `gsize`

  Length of the data to sign.

`cancellable`

  Type: `GCancellable`

  A GCancellable which can be used to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  A pointer to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.